//
//  SeriesItemBadgeView.swift
//  SodaLive
//
//  Created by klaus on 4/29/24.
//

import SwiftUI

struct SeriesItemBadgeView: View {
    
    let title: String
    let backgroundColor: Color
    
    var body: some View {
        Text(title)
            .font(.custom(Font.medium.rawValue, size: 10.3))
            .foregroundColor(.white)
            .padding(.vertical, 3.7)
            .padding(.horizontal, 5.3)
            .background(backgroundColor)
            .cornerRadius(13.3)
    }
}

#Preview("신작") {
    SeriesItemBadgeView(title: "신작", backgroundColor: .button)
}

#Preview("완결") {
    SeriesItemBadgeView(title: "완결", backgroundColor: Color(hex: "002abd"))
}

#Preview("인기") {
    SeriesItemBadgeView(title: "인기", backgroundColor: Color(hex: "ec6033"))
}
